Debian Bug report logs - #697614
ITP: libsoxr -- High quality 1D sample-rate conversion library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Benjamin Drung <bdrung@debian.org>

Date: Mon, 7 Jan 2013 16:06:01 UTC

Owned by: Benjamin Drung <bdrung@debian.org>

Severity: wishlist

Fixed in version libsoxr/0.1.0-1

Done: Benjamin Drung <bdrung@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bdrung@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#697614; Package wnpp. (Mon, 07 Jan 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@debian.org>:
New Bug report received and forwarded. Copy sent to bdrung@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 07 Jan 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libsoxr -- High quality 1D sample-rate conversion library
Date: Mon, 07 Jan 2013 17:03:13 +0100
Package: wnpp
Severity: wishlist
Owner: Benjamin Drung <bdrung@debian.org>

* Package name    : libsoxr
  Version         : 0.1
  Upstream Author : Rob Sykes <robs@users.sourceforge.net>
* URL             : http://sourceforge.net/projects/soxr
* License         : LGPL-2.1+ plus some BSD files
  Programming Lang: C
  Description     : High quality 1D sample-rate conversion library

The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
conversion - it may be used, for example, to resample PCM-encoded audio.

It aims to give fast and high quality results for any constant (rational or
irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
and rejection level parameters are all configurable; alternatively, simple
`preset' configurations may be selected.

A simple API is provided that allows interfacing using commonly-used sample
formats and buffering schemes.

libsoxr will be a build dependency of the next release of Audacity. The package
will belong to the Debian Multimedia Maintainers team.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Benjamin Drung <bdrung@debian.org>:
You have taken responsibility. (Fri, 05 Apr 2013 11:03:15 GMT) Full text and rfc822 format available.

Notification sent to Benjamin Drung <bdrung@debian.org>:
Bug acknowledged by developer. (Fri, 05 Apr 2013 11:03:15 GMT) Full text and rfc822 format available.

Message #12 received at 697614-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: 697614-close@bugs.debian.org
Subject: Bug#697614: fixed in libsoxr 0.1.0-1
Date: Fri, 05 Apr 2013 11:00:06 +0000
Source: libsoxr
Source-Version: 0.1.0-1

We believe that the bug you reported is fixed in the latest version of
libsoxr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@debian.org> (supplier of updated libsoxr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 19 Jan 2013 13:59:15 +0100
Source: libsoxr
Binary: libsoxr0 libsoxr-lsr0 libsoxr-dev
Architecture: source amd64
Version: 0.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdrung@debian.org>
Description: 
 libsoxr-dev - High quality 1D sample-rate conversion library (development files
 libsoxr-lsr0 - High quality 1D sample-rate conversion library (libsamplerate bin
 libsoxr0   - High quality 1D sample-rate conversion library
Closes: 697614
Changes: 
 libsoxr (0.1.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #697614).
Checksums-Sha1: 
 ee2cfb7b16f12aabd5b435ce4d8534c7bff13211 2072 libsoxr_0.1.0-1.dsc
 f5a0cc6a3b3f870211f076eb13a61f6acce12368 78900 libsoxr_0.1.0.orig.tar.xz
 ebad3c956c9e6284a83dd6ea2a3474d8bba4d047 4197 libsoxr_0.1.0-1.debian.tar.gz
 d87ed5e8133b349214cb835e79f2341b799c6687 101800 libsoxr0_0.1.0-1_amd64.deb
 5dd021512fbc8a7a72e675992081a3054f45f93d 7990 libsoxr-lsr0_0.1.0-1_amd64.deb
 1613116f6401afeed4675226d20330d18881091c 16084 libsoxr-dev_0.1.0-1_amd64.deb
Checksums-Sha256: 
 666c6bd2c79c8506d68f7cc9989b1f42873fb27d5b4557c3760e33134d1086aa 2072 libsoxr_0.1.0-1.dsc
 12ce532a3045a3f6942736ac3417c6cafe0204896eb86537527d79723ddbffb1 78900 libsoxr_0.1.0.orig.tar.xz
 bd849ac1bbe0f3e1860c7527af09dbb5b0ab4ee705ea65f1cc6719bd2c140539 4197 libsoxr_0.1.0-1.debian.tar.gz
 83c1ad16d83f20b030ded8716e6d679875f18f85a82d7264a51e358cc52d85c0 101800 libsoxr0_0.1.0-1_amd64.deb
 505f8201770011ccc657992b860705dbcb11179ee66f6363aaa2692c43aee6de 7990 libsoxr-lsr0_0.1.0-1_amd64.deb
 78d5f2e8b81fe4ac4b3c7d6a9650b4585bd62d20c71bb69f0f28ba586cab9a56 16084 libsoxr-dev_0.1.0-1_amd64.deb
Files: 
 986805fa6a97024694248d74bdc9f0a3 2072 libs optional libsoxr_0.1.0-1.dsc
 1dd283ddc60a05755fea3b64d9d44622 78900 libs optional libsoxr_0.1.0.orig.tar.xz
 407f2e3cac2e9a58d9687a1b3ab6ea86 4197 libs optional libsoxr_0.1.0-1.debian.tar.gz
 169de39788c4b4cb81f955484b6a1747 101800 libs optional libsoxr0_0.1.0-1_amd64.deb
 39df01afbead9ccd9ff284c885be314c 7990 libs optional libsoxr-lsr0_0.1.0-1_amd64.deb
 22994b221506efd074e376da44f82f8c 16084 libdevel optional libsoxr-dev_0.1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJQ+pyfAAoJEBWetcTvyHdMrkoP+wc9RoWzVQIcZmCk5WE/Hq2h
ouL7vhNmCSJUB63JEZjQ1BvR9eBokrrkmFC+r5gvimZWLZw6BdnIglIvbOTOxROR
gAOeF9W78LunEsWhq3K0ixKuCy4MgPgK48WCL9rGA31Zo/VYBx7d++2a3aqKAgQk
e+65ULxizvVgyJYazX3Ylj5bQGB/4RNGdjytx13rCxhr7FY6K6X6YEq2BSBkuGyo
KA7EGf6L6LrO/TCV1ZBEFgUgZ3IHWdIWxhD3GrbMgksTIEnFyZ9LULzntQwu4oEb
bYoxWHPr3V3hJOb1iGMIQ1a5f3pxYtSlLHFZ/zksJS4JW5usxS2XcDntxJPJxcyC
XwSssuzEvY52c3m4ZxqqItawm5ve9bWZnRuAeEGE4iqIglZOJOjgKmt5UZaSc9LM
kI0UQoSASyRRdZ2AXJdjYii/redMFZ8gqN5HJhiEMVAsSVg18AUmafroy8/TPbhV
vlkB+t63JYJOXnnV3YtgF1LfhLxFmjB2sZ/V1ZQba+Ivz2WUn1rI/wFyL+H6IaE0
BRT9aO27hRS7d478twqRPJHN4Wo3qhAtOVAjQ7hwRoDJRfiWaQTpD35jbhO9D/SL
rW0lTgilFkDa3hCAMDgQziL7qXWuc2tpmoUO1M7TotNyhyBK4zwcKP6uVBWPEp2R
nfCi73EwbaGvNbXikkV5
=8eF3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:27:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:06:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.